Create a priority (desk:admin)
POST /api/desk/v1/priorities
Module: Desk · operationId: createPriority · Tag: Configuration · Auth: access token (Authorization: Bearer <accessToken>)
Request body
application/json (required)
key(string, required): Key of the priority, unique in the tenantlabel(string, required): Display label of the priorityarchived(boolean): Archived: the priority is kept for existing data but no longer offered in pickerscolor(string): Display color of the priorityid(string): Id of the priorityisDefault(boolean): Priority of new items without onerank(integer): Sort order of the priorities (ascending)
Example:
{
"color": "neutral",
"key": "geplant",
"label": "Geplant",
"rank": 0
}
Responses
- 201 Created (
application/json)
Fields of the 201 answer:
key(string, required): Key of the priority, unique in the tenantlabel(string, required): Display label of the priorityarchived(boolean): Archived: the priority is kept for existing data but no longer offered in pickerscolor(string): Display color of the priorityid(string): Id of the priorityisDefault(boolean): Priority of new items without onerank(integer): Sort order of the priorities (ascending)
Example 201 answer:
{
"archived": false,
"color": "warning",
"id": "8a5b6c7d-9e0f-4a1b-8c3d-5e6f7a8b9c03",
"isDefault": false,
"key": "hoch",
"label": "Hoch",
"rank": 3
}
Example request
curl -X POST 'https://api.mbcom.cloud/api/desk/v1/priorities' \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H 'Content-Type: application/json' \
--data '{"color":"neutral","key":"geplant","label":"Geplant","rank":0}'